Subject: Re: git-tag bug? confusing git fast-export with double tag objects

From: "Matthias Andree" <[email-masked]>
Date: Thu, 14 May 2009 20:02:28 +0200

Am 14.05.2009, 15:42 Uhr, schrieb Sverre Rabbelier <[email-masked]>:

> Heya,
>
> On Thu, May 14, 2009 at 15:39, Matthias Andree <[email-masked]>  
> wrote:
>> The bug itself (references to 'deleted' or 'replaced' tag objects remain
>> reachable rather than becoming dangling) is still there without a  
>> suggestion
>> to the solution, and you're uselessly the bug.
>
> I believe Alex is saying that this is not a bug, but intended
> behavior, and Matthias is saying that we should change that behavior
> so that users are at least aware that they are creating such a
> situation, is that correct?

I think my statements are:

1- git tag -d and git tag -f do not work as advertised for tag objects (as
opposed to lightweight tags); evidence in the longish mail

2- I presume that the bug cannot be really fixed (signed tags created by
somebody else), we then have several solutions:
  2a- warn the user and refuse
  2b- warn the user and continue nonetheless
  2c- warn the user and add options to force the user should at least be
warned that he may be doing something which doesn't work as intended, or
  2d- give the user a possibility to force git to do stupid things.

-- 
Matthias Andree